<?php
if (session_status() === PHP_SESSION_NONE) { session_start(); }

function cekAkses($roles = ['admin', 'guru']) {
    if (!isset($_SESSION['login'])) {
        header("Location: ../login.php");
        exit;
    }
    $role_user = strtolower($_SESSION['role']);
    if (!in_array($role_user, $roles)) {
        die("Akses ditolak! Anda tidak memiliki izin.");
    }
}

// Fungsi untuk Guru & Admin
function cekAdminAtauGuru() {
    cekAkses(['admin', 'guru']);
}

// Tambahkan fungsi ini untuk Siswa
function cekSiswa() {
    cekAkses(['siswa']);
}
?>